Bug 144240 - Doesn't work for diskless clients
Summary: Doesn't work for diskless clients
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-netboot   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 163859 163871
TreeView+ depends on / blocked
 
Reported: 2005-01-05 07:33 UTC by Nate Putnam
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version: 0.1.16-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-25 10:11:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nate Putnam 2005-01-05 07:33:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Part of the problem is layed out here :
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=135411

The program creates a bogus initrd image (missing libraries). 

The patches for the the rc.sysinit,netfs,halt don't seem to work.

Creates a bogus kerenel append. no root or NFSROOT most of the time

Version-Release number of selected component (if applicable):
system-config-netboot-0.1.8-1

How reproducible:
Always

Steps to Reproduce:
Startup system-config-netboot and follow the onscreen instructions 

Additional info:

Comment 1 Terry Barnaby 2005-02-04 14:14:08 UTC
I am having basically the same problem.
I have upgrader to the development version of system-config-netboot
(0.1.12-1). This is better but still fails to install all the files
in the initrd.img.

I have got a lot further by doing the following to the initrd mounted
on d1:
	cp /lib/ld-2.3.4.so /lib/libc-2.3.4.so /lib/libdl-2.3.4.so
/lib/libm-2.3.4.so d1/lib
	ln -sf ld-2.3.4.so d1/lib/ld-linux.so.2
	ln -sf libc-2.3.4.so d1/lib/libc.so.6
	ln -sf libdl-2.3.4.so d1/lib/libdl.so.2
	ln -sf libm-2.3.4.so d1/lib/libm.so.6
	cp /usr/lib/libz.so.1.2.1.2 d1/lib
	ln -sf libz.so.1.2.1.2 d1/lib/libz.so
	ln -sf libz.so.1.2.1.2 d1/lib/libz.so.1

	cp /lib/libselinux.so.1 d1/lib
	
	cp /usr/share/hwdata/pcitable d1/usr/share/hwdata/pcitable
	cp /etc/modprobe.conf.dist d1/etc/modprobe.conf.dist
	cp /etc/modprobe.conf.dist d1/etc/modprobe.conf

The system now at lease boots, but now fails when it attempts to
load the nfs module with the error:
insmod: can't read 'nfs': No such file or directory

The kernel modules are in the initrd image within:
/lib/modules/2.6.10-1.741_FC3

How does the initrd modprobe command work ? Does it have a list of
dependancies ? Does it use /etc/modprobe.conf.dist ?


Comment 2 Nate Putnam 2005-02-04 21:08:02 UTC
IIRC you need to put nfs.o and sunrpc.o in the lib directory of the
init image. I was able to get it almost working. The disklessrc script
would run but the box wouldn't init after the pivot. 

I think the modprobe in  the initrd is just a symlink to busybox and
works the same as insmod. You could put the regular modprobe in the
their at the cost of 100K or so. It fixed some problems for me doing
it that way.

Comment 3 Jason Vas Dias 2005-05-27 20:33:38 UTC
This bug is now fixed with system-config-netboot-0.1.16-1, which
should be in fc3-updates shortly and meanwhile can be downloaded from:
 http://people.redhat.com/~jvdias/system-config-netboot 
Please try it out and let me know of any issues - thanks.



Comment 7 Walter Justen 2005-08-25 10:11:02 UTC
Thanks for the bug report. This particular bug was fixed and a update package
was published for download. Please feel free to report any further bugs you find.


Note You need to log in before you can comment on or make changes to this bug.